ATS Mods In ETS2 (1.38.x)

This mod allows you to run ATS mods on ETS2, all you have to do is place your favorite mod on top of ATS Mods Base as shown in the attached image.
Tested at ETS2 1.35, could work at 1.36
Must use ATS 1.35 mods

Supported game versions: ETS2 – (1.38.x)

Authors: kryyx

You may also like...

Leave a Reply

Your email address will not be published.